com.fasterxml.jackson.annotation

## Class JsonTypeInfo.None

- java.lang.Object
- - com.fasterxml.jackson.annotation.JsonTypeInfo.None

- Enclosing class:
    JsonTypeInfo

  Deprecated.
  Since 2.5, use any Annotation type (such as `JsonTypeInfo`, if such behavior is needed; this is rarely necessary.

      @Deprecated
      public abstract static class JsonTypeInfo.None
      extends java.lang.Object

  This marker class that is only to be used with `defaultImpl` annotation property, to indicate that there is no default implementation specified.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonTypeInfo.None()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonTypeInfo.None

          public JsonTypeInfo.None()

      Deprecated.